Package io.dapr.v1

# Interface DaprProtos.BulkPublishRequestEntryOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.BulkPublishRequestEntry`, `DaprProtos.BulkPublishRequestEntry.Builder`

Enclosing class:
  DaprProtos

public static interface DaprProtos.BulkPublishRequestEntryOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsMetadata(String key)`
The event level metadata passing to the pubsub component
`String`
`getContentType()`
The content type for the event
`com.google.protobuf.ByteString`
`getContentTypeBytes()`
The content type for the event
`String`
`getEntryId()`
The request scoped unique ID referring to this message.
`com.google.protobuf.ByteString`
`getEntryIdBytes()`
The request scoped unique ID referring to this message.
`com.google.protobuf.ByteString`
`getEvent()`
The event which will be pulished to the topic
`Map<String,String>`
`getMetadata()`
Deprecated.
`int`
`getMetadataCount()`
The event level metadata passing to the pubsub component
`Map<String,String>`
`getMetadataMap()`
The event level metadata passing to the pubsub component
`String`
`getMetadataOrDefault(String key, String defaultValue)`
The event level metadata passing to the pubsub component
`String`
`getMetadataOrThrow(String key)`
The event level metadata passing to the pubsub component

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getEntryId

String getEntryId()

     The request scoped unique ID referring to this message. Used to map status in response

`string entry_id = 1;`

Returns:
  The entryId.

### getEntryIdBytes

com.google.protobuf.ByteString getEntryIdBytes()

     The request scoped unique ID referring to this message. Used to map status in response

`string entry_id = 1;`

Returns:
  The bytes for entryId.

### getEvent

com.google.protobuf.ByteString getEvent()

     The event which will be pulished to the topic

`bytes event = 2;`

Returns:
  The event.

### getContentType

String getContentType()

     The content type for the event

`string content_type = 3;`

Returns:
  The contentType.

### getContentTypeBytes

com.google.protobuf.ByteString getContentTypeBytes()

     The content type for the event

`string content_type = 3;`

Returns:
  The bytes for contentType.

### getMetadataCount

int getMetadataCount()

     The event level metadata passing to the pubsub component

`map<string, string> metadata = 4;`

### containsMetadata

boolean containsMetadata(String key)

     The event level metadata passing to the pubsub component

`map<string, string> metadata = 4;`

### getMetadata

@Deprecated Map<String,String> getMetadata()
Deprecated.
Use `getMetadataMap()` instead.

### getMetadataMap

Map<String,String> getMetadataMap()

     The event level metadata passing to the pubsub component

`map<string, string> metadata = 4;`

### getMetadataOrDefault

String getMetadataOrDefault(String key, String defaultValue)

     The event level metadata passing to the pubsub component

`map<string, string> metadata = 4;`

### getMetadataOrThrow

String getMetadataOrThrow(String key)

     The event level metadata passing to the pubsub component

`map<string, string> metadata = 4;`